//MyMaterial.h
#ifndef __MYMATERIAL_H
#define __MYMATERIAL_H

class MyMaterial
{
	D3DMATERIAL9* m_pMaterial;
public:
	MyMaterial();
	virtual ~MyMaterial();

	void Release();
	void SetMaterial(IDirect3DDevice9* pDevice);

	D3DCOLORVALUE&	GetAmbient();
	void			SetAmbient(float r, float g, float b);
	D3DCOLORVALUE&	GetDiffuse();
	void			SetDiffuse(float r, float g, float b);
	D3DCOLORVALUE&	GetSpecular();
	void			SetSpecular(float r, float g, float b);
	D3DCOLORVALUE&	GetEmissive();
	void			SetEmissive(float r, float g, float b);
	float			GetPower();
	void			SetPower(float fPower);



protected:
	void InitMaterial();
};

#endif