//MyMesh.h
#ifndef  __MYMESH_H
#define  __MYMESH_H

#include "MyVector3.h"
/*
class	MyVector3
{
public:
	MyVector3() :  x(0.0f), y(0.0f), z(0.0f) {}
	MyVector3(float _x, float _y, float _z) : x(_x), y(_y), z(_z) {}
	float x;
	float y;
	float z;
};
*/
class	MyVector2
{
public:
	MyVector2() :  x(0.0f), y(0.0f) {}
	MyVector2(float _x, float _y) : x(_x), y(_y) {}
	float x;
	float y;
};

class	MyVertex;

class MyMesh
{
public:
	MyMesh();
	virtual ~MyMesh();

	//Create~~ ޽
	void			SetNumber(int iVertexCount, int iPrimitiveCount);
	int				GetVertexNumber();
	int				GetPrimitiveNumber();
		
	MyVector3*		GetVertexData();
	void			SetVertexData(MyVector3* pVertex);
	
	DWORD*			GetVertexColor();
	void			SetVertexColor(DWORD* pColor);

	MyVertex*		GetDeviceVertex();
	void			SetDeviceVertex(MyVertex* pMyVertex);

	MyVector2*		GetTextureUV();
	void			SetTextureUV(MyVector2* pUV);

	USHORT*			GetVertexIndex();
	int				GetVertexIndexCount();
	void			SetVertexIndex(int iCount, USHORT* pIndex);

protected:
	void		Release();

protected:
	MyVertex*	m_pDeviceVertex;

	int			m_iVertexCount;
	int			m_iPrimitiveCount;

	MyVector3*	m_pVertexData;
	DWORD*		m_pVertexColor;
	MyVector3*	m_pNormal;
	MyVector2*	m_pBaseUV;

	USHORT*		m_pVertexIndex;
	int			m_iIndexCount;
};



#endif